CMSIS-RTOS2: os_tick.h File Reference

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Functions
os_tick.h File Reference

CMSIS OS Tick header file. More...

## Macros

#define | IRQHANDLER_T
| IRQ Handler. More...

## Typedefs

typedef void(* | IRQHandler_t )(void)

## Functions

int32_t | OS_Tick_Setup (uint32_t freq, IRQHandler_t handler)
| Setup OS Tick timer to generate periodic RTOS Kernel Ticks. More...
void | OS_Tick_Enable (void)
| Enable OS Tick timer interrupt. More...
void | OS_Tick_Disable (void)
| Disable OS Tick timer interrupt. More...
void | OS_Tick_AcknowledgeIRQ (void)
| Acknowledge execution of OS Tick timer interrupt. More...
int32_t | OS_Tick_GetIRQn (void)
| Get OS Tick timer IRQ number. More...
uint32_t | OS_Tick_GetClock (void)
| Get OS Tick timer clock frequency. More...
uint32_t | OS_Tick_GetInterval (void)
| Get OS Tick timer interval reload value. More...
uint32_t | OS_Tick_GetCount (void)
| Get OS Tick timer counter value. More...
uint32_t | OS_Tick_GetOverflow (void)
| Get OS Tick timer overflow status. More...

## Description

Version
  V1.0.2

Date
  19. March 2021

## Macro Definition Documentation

#define IRQHANDLER_T

## Typedef Documentation

typedef void(* IRQHandler_t)(void)